[package - 122arm64-quarterly][biology/bolt-lmm] Failed for bolt-lmm-2.3.4_4 in build

From: <pkg-fallout_at_FreeBSD.org>
Date: Sat, 25 Sep 2021 12:39:06 GMT
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     jwb_at_FreeBSD.org
Log URL:        http://ampere1.nyi.freebsd.org/data/122arm64-quarterly/9499502abb61/logs/bolt-lmm-2.3.4_4.log
Build URL:      http://ampere1.nyi.freebsd.org/build.html?mastername=122arm64-quarterly&build=9499502abb61
Log:

=>> Building biology/bolt-lmm
build started at Sat Sep 25 12:38:37 UTC 2021
port directory: /usr/ports/biology/bolt-lmm
package name: bolt-lmm-2.3.4_4
building for: FreeBSD 122arm64-quarterly-job-07 12.2-RELEASE FreeBSD 12.2-RELEASE arm64
maintained by: jwb_at_FreeBSD.org
Makefile ident: 
Poudriere version: 3.2.8-21-g883afb07
Host OSVERSION: 1400008
Jail OSVERSION: 1202000
Job Id: 07

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1202000
UNAME_v=FreeBSD 12.2-RELEASE
UNAME_r=12.2-RELEASE
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-21-g883afb07
MASTERMNT=/usr/local/poudriere/data/.m/122arm64-quarterly/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/122arm64-quarterly/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=122arm64-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/122arm64-quarterly/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for bolt-lmm-2.3.4_4:
     EXAMPLES=on: Build and/or install examples
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
jwb_at_FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake XDG_DATA_HOME=/wrkdirs/usr/ports/biology/bolt-lmm/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/biology/bolt-lmm/work  HOME=/wrkdirs/usr/ports/biology/bolt-lmm/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/biology/bolt-lmm/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/biology/bolt-lmm/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/biology/bolt-lmm/work  HOME=/wrkdirs/usr/ports/biology/bolt-lmm/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/biology/bolt-lmm/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES ADDR2LINE="/usr/local/bin/addr2line" AR="/usr/local/bin/ar" AS="/usr/local/bin/as" CPPFILT="/usr/local/bin/c++filt" GPROF="/usr/local/bin/gprof" LD="/usr/local/bin/ld" NM="/usr/local/bin/nm" OBJCOPY="/usr/local/bin/objcopy" OBJDUMP="/usr/local/bin/objdump" RANLIB="/usr/local/bin/ranlib" READELF="/usr/local/bin/readelf" SIZE="/usr/local/bin/size" STRINGS="/usr/local/bin/strings" PREFIX=/usr/local  LOCALBASE=/usr/local  CC="gcc10" CFLAGS="-O2 -pipe  -fstack-protector-strong -Wl,-rpath=/usr/local/lib/gcc10 -fno-strict-aliasing "  CPP="cpp10" CPPFLAGS=""  LDFLAGS=" -L/wrkdirs/usr/ports/biology/bolt-lmm/work -fstack-protect
 or-strong -Wl,-rpath=/usr/local/lib/gcc10 -L/usr/local/lib/gcc10 " LIBS=""  CXX="g++10" CXXFLAGS="-O2 -pipe  -fstack-protector-strong -Wl,-rpath=/usr/local/lib/gcc10  -nostdinc++ -isystem /usr/include/c++/v1 -Wl,-rpath=/usr/local/lib/gcc10 "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTEXAMPLES="" OSREL=12.2 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/bolt-lmm"  EXAMPLESDIR="share/examples/bolt-lmm"  DATADIR="share/bolt-lmm"  WWWDIR="www/bolt-lmm"  ETCDIR="etc/bolt-lmm"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/bolt-lmm DOCSDIR=/usr/local/share/doc/bolt-lmm EXAMPLESDIR=/usr/local/share/examples/bolt-lmm  WWWDIR=/usr/local/www/bolt-lmm ETCDIR=/usr/local/etc/bolt-lmm
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 10.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: aarch64-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 10.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: aarch64-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 10.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: aarch64-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=aarch64
OPSYS=FreeBSD
_OSRELEASE=12.2-RELEASE
OSREL=12.2
OSVERSION=1202000
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  1048576
stack size              (kbytes, -s)  1048576
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   bolt-lmm-2.3.4_4 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.16.3.txz
[122arm64-quarterly-job-07] Installing pkg-1.16.3...
[122arm64-quarterly-job-07] Extracting pkg-1.16.3: .......... done
===>   bolt-lmm-2.3.4_4 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of bolt-lmm-2.3.4_4
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by bolt-lmm-2.3.4_4 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by bolt-lmm-2.3.4_4 for building
=> SHA256 Checksum OK for BOLT-LMM_v2.3.4.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by bolt-lmm-2.3.4_4 for building
===>  Extracting for bolt-lmm-2.3.4_4
=> SHA256 Checksum OK for BOLT-LMM_v2.3.4.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for bolt-lmm-2.3.4_4
===>  Applying FreeBSD patches for bolt-lmm-2.3.4_4 from /usr/ports/biology/bolt-lmm/files
===========================================================================
=======================<phase: build-depends  >============================
===>   bolt-lmm-2.3.4_4 depends on package: gmake>=4.3 - not found
===>   Installing existing package /packages/All/gmake-4.3_2.txz
[122arm64-quarterly-job-07] Installing gmake-4.3_2...
[122arm64-quarterly-job-07] `-- Installing gettext-runtime-0.21...
[122arm64-quarterly-job-07] |   `-- Installing indexinfo-0.3.1...
[122arm64-quarterly-job-07] |   `-- Extracting indexinfo-0.3.1: .... done
[122arm64-quarterly-job-07] `-- Extracting gettext-runtime-0.21: .......... done
[122arm64-quarterly-job-07] Extracting gmake-4.3_2: .......... done
===>   bolt-lmm-2.3.4_4 depends on package: gmake>=4.3 - found
===>   Returning to build of bolt-lmm-2.3.4_4
===>   bolt-lmm-2.3.4_4 depends on executable: gcc10 - not found
===>   Installing existing package /packages/All/gcc10-10.3.0.txz
[122arm64-quarterly-job-07] Installing gcc10-10.3.0...
[122arm64-quarterly-job-07] `-- Installing binutils-2.33.1_5,1...
[122arm64-quarterly-job-07] `-- Extracting binutils-2.33.1_5,1: .......... done
[122arm64-quarterly-job-07] `-- Installing gmp-6.2.1...
[122arm64-quarterly-job-07] `-- Extracting gmp-6.2.1: .......... done
[122arm64-quarterly-job-07] `-- Installing mpc-1.2.0...
[122arm64-quarterly-job-07] |   `-- Installing mpfr-4.1.0...
[122arm64-quarterly-job-07] |   `-- Extracting mpfr-4.1.0: .......... done
[122arm64-quarterly-job-07] `-- Extracting mpc-1.2.0: ......... done
[122arm64-quarterly-job-07] Extracting gcc10-10.3.0: .......... done
=====
Message from gcc10-10.3.0:

--
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc10

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
===>   bolt-lmm-2.3.4_4 depends on executable: gcc10 - found
===>   Returning to build of bolt-lmm-2.3.4_4
===>   bolt-lmm-2.3.4_4 depends on file: /usr/local/bin/as - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   bolt-lmm-2.3.4_4 depends on shared library: libnlopt.so - not found
===>   Installing existing package /packages/All/nlopt-2.7.0.txz
[122arm64-quarterly-job-07] Installing nlopt-2.7.0...
[122arm64-quarterly-job-07] `-- Installing guile2-2.2.7_1...
[122arm64-quarterly-job-07] |   `-- Installing boehm-gc-threaded-8.0.4_1...
[122arm64-quarterly-job-07] |   | `-- Installing boehm-gc-8.0.4_1...
[122arm64-quarterly-job-07] |   | `-- Extracting boehm-gc-8.0.4_1: .......... done
[122arm64-quarterly-job-07] |   `-- Extracting boehm-gc-threaded-8.0.4_1: .......... done
[122arm64-quarterly-job-07] |   `-- Installing libffi-3.3_1...
[122arm64-quarterly-job-07] |   `-- Extracting libffi-3.3_1: .......... done
[122arm64-quarterly-job-07] |   `-- Installing libltdl-2.4.6...
[122arm64-quarterly-job-07] |   `-- Extracting libltdl-2.4.6: .......... done
[122arm64-quarterly-job-07] |   `-- Installing libunistring-0.9.10_1...
[122arm64-quarterly-job-07] |   `-- Extracting libunistring-0.9.10_1: .......... done
[122arm64-quarterly-job-07] |   `-- Installing readline-8.1.1...
[122arm64-quarterly-job-07] |   `-- Extracting readline-8.1.1: .......... done
[122arm64-quarterly-job-07] `-- Extracting guile2-2.2.7_1: .......... done
[122arm64-quarterly-job-07] `-- Installing py38-numpy-1.16.6_1,1...
[122arm64-quarterly-job-07] |   `-- Installing openblas-0.3.15,1...
[122arm64-quarterly-job-07] |   `-- Extracting openblas-0.3.15,1: .......... done
[122arm64-quarterly-job-07] |   `-- Installing py38-setuptools-57.0.0...
[122arm64-quarterly-job-07] |   | `-- Installing python38-3.8.12...
[122arm64-quarterly-job-07] |   |   `-- Installing mpdecimal-2.5.1...
[122arm64-quarterly-job-07] |   |   `-- Extracting mpdecimal-2.5.1: .......... done
[122arm64-quarterly-job-07] |   | `-- Extracting python38-3.8.12: .......... done
[122arm64-quarterly-job-07] |   `-- Extracting py38-setuptools-57.0.0: .......... done
[122arm64-quarterly-job-07] |   `-- Installing suitesparse-umfpack-5.7.9...
[122arm64-quarterly-job-07] |   | `-- Installing metis-5.1.0_8...
[122arm64-quarterly-job-07] |   | `-- Extracting metis-5.1.0_8: .......... done
[122arm64-quarterly-job-07] |   | `-- Installing suitesparse-amd-2.4.6...
[122arm64-quarterly-job-07] |   |   `-- Installing suitesparse-config-5.10.1...
[122arm64-quarterly-job-07] |   |   `-- Extracting suitesparse-config-5.10.1: ......... done
[122arm64-quarterly-job-07] |   | `-- Extracting suitesparse-amd-2.4.6: .......... done
[122arm64-quarterly-job-07] |   | `-- Installing suitesparse-camd-2.4.6...
[122arm64-quarterly-job-07] |   | `-- Extracting suitesparse-camd-2.4.6: ......... done
[122arm64-quarterly-job-07] |   | `-- Installing suitesparse-ccolamd-2.9.6...
[122arm64-quarterly-job-07] |   | `-- Extracting suitesparse-ccolamd-2.9.6: ........ done
[122arm64-quarterly-job-07] |   | `-- Installing suitesparse-cholmod-3.0.14...
[122arm64-quarterly-job-07] |   |   `-- Installing suitesparse-colamd-2.9.6...
[122arm64-quarterly-job-07] |   |   `-- Extracting suitesparse-colamd-2.9.6: ........ done
[122arm64-quarterly-job-07] |   | `-- Extracting suitesparse-cholmod-3.0.14: .......... done
[122arm64-quarterly-job-07] |   `-- Extracting suitesparse-umfpack-5.7.9: .......... done
[122arm64-quarterly-job-07] `-- Extracting py38-numpy-1.16.6_1,1: .......... done
[122arm64-quarterly-job-07] Extracting nlopt-2.7.0: .......... done
=====
Message from python38-3.8.12:

--
Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

py38-gdbm       databases/py-gdbm_at_py38
py38-sqlite3    databases/py-sqlite3_at_py38
py38-tkinter    x11-toolkits/py-tkinter_at_py38
=====
Message from metis-5.1.0_8:

--
===>   NOTICE:

The metis port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===>   bolt-lmm-2.3.4_4 depends on shared library: libnlopt.so - found (/usr/local/lib/libnlopt.so)
===>   Returning to build of bolt-lmm-2.3.4_4
===>   bolt-lmm-2.3.4_4 depends on shared library: libopenblas.so - found (/usr/local/lib/libopenblas.so)
===>   bolt-lmm-2.3.4_4 depends on shared library: libboost_program_options.so - not found
===>   Installing existing package /packages/All/boost-libs-1.72.0_5.txz
[122arm64-quarterly-job-07] Installing boost-libs-1.72.0_5...
[122arm64-quarterly-job-07] `-- Installing icu-69.1,1...
[122arm64-quarterly-job-07] `-- Extracting icu-69.1,1: .......... done
[122arm64-quarterly-job-07] Extracting boost-libs-1.72.0_5: .......... done
=====
Message from boost-libs-1.72.0_5:

--
You have built the Boost library with thread support.

Don't forget to add -pthread to your linker options when
linking your code.
===>   bolt-lmm-2.3.4_4 depends on shared library: libboost_program_options.so - found (/usr/local/lib/libboost_program_options.so)
===>   Returning to build of bolt-lmm-2.3.4_4
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for bolt-lmm-2.3.4_4
===========================================================================
=======================<phase: build          >============================
===>  Building for bolt-lmm-2.3.4_4
gmake[1]: Entering directory '/wrkdirs/usr/ports/biology/bolt-lmm/work/BOLT-LMM_v2.3.4/src'
g++10 -O2 -pipe  -fstack-protector-strong -Wl,-rpath=/usr/local/lib/gcc10  -nostdinc++ -isystem /usr/include/c++/v1 -Wl,-rpath=/usr/local/lib/gcc10  -O2  -DMEASURE_DGEMM -DVERBOSE -Wall -fopenmp -I/usr/local/include -I/usr/local/api -o BoltMain.o -c BoltMain.cpp
g++10 -O2 -pipe  -fstack-protector-strong -Wl,-rpath=/usr/local/lib/gcc10  -nostdinc++ -isystem /usr/include/c++/v1 -Wl,-rpath=/usr/local/lib/gcc10  -O2  -DMEASURE_DGEMM -DVERBOSE -Wall -fopenmp -I/usr/local/include -I/usr/local/api -o Bolt.o -c Bolt.cpp
In file included from BoltMain.cpp:38:
MemoryUtils.hpp:34:10: fatal error: xmmintrin.h: No such file or directory
   34 | #include <xmmintrin.h>
      |          ^~~~~~~~~~~~~
compilation terminated.
gmake[1]: *** [Makefile:134: BoltMain.o] Error 1
gmake[1]: *** Waiting for unfinished jobs....
In file included from Bolt.cpp:49:
MemoryUtils.hpp:34:10: fatal error: xmmintrin.h: No such file or directory
   34 | #include <xmmintrin.h>
      |          ^~~~~~~~~~~~~
compilation terminated.
gmake[1]: *** [Makefile:134: Bolt.o] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/biology/bolt-lmm/work/BOLT-LMM_v2.3.4/src'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/biology/bolt-lmm
Received on Sat Sep 25 2021 - 12:39:06 UTC

Original text of this message